# One column.
bs_1col:
  label: 'One column'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/1col.png
  template: templates/3.0.0/bs-1col
  regions:
    main:
      label: 'Content'
      classes:
        - col-sm-12

# One column stacked.
bs_1col_stacked:
  label: 'One column stacked'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/1col-stacked.png
  template: templates/3.0.0/bs-1col-stacked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    main:
      label: 'Content'
      classes:
        - col-sm-12
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Two column.
bs_2col:
  label: 'Two column'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/2col.png
  template: templates/3.0.0/bs-2col
  regions:
    left:
      label: 'Left'
      classes:
        - col-sm-6
    right:
      label: 'Right'
      classes:
        - col-sm-6

# Two column bricks.
bs_2col_bricked:
  label: 'Two column bricks'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/2col-bricked.png
  template: templates/3.0.0/bs-2col-bricked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    top_left:
      label: 'Top Left'
      classes:
        - col-sm-6
    top_right:
      label: 'Top Right'
      classes:
        - col-sm-6
    middle:
      label: 'Middle'
      classes:
        - col-sm-12
    bottom_left:
      label: 'Bottom Left'
      classes:
        - col-sm-6
    bottom_right:
      label: 'Bottom Right'
      classes:
        - col-sm-6
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Two column stacked.
bs_2col_stacked:
  label: 'Two column stacked'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/2col-stacked.png
  template: templates/3.0.0/bs-2col-stacked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    left:
      label: 'Left'
      classes:
        - col-sm-6
    right:
      label: 'Right'
      classes:
        - col-sm-6
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Three column.
bs_3col:
  label: 'Three column'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/3col.png
  template: templates/3.0.0/bs-3col
  regions:
    left:
      label: 'Left'
      classes:
        - col-sm-4
    middle:
      label: 'Middle'
      classes:
        - col-sm-4
    right:
      label: 'Right'
      classes:
        - col-sm-4

# Three column bricks.
bs_3col_bricked:
  label: 'Three column bricks'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/3col-bricked.png
  template: templates/3.0.0/bs-3col-bricked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    top_left:
      label: 'Top Left'
      classes:
        - col-sm-4
    top_middle:
      label: 'Top Middle'
      classes:
        - col-sm-4
    top_right:
      label: 'Top Right'
      classes:
        - col-sm-4
    middle:
      label: 'Middle'
      classes:
        - col-sm-12
    bottom_left:
      label: 'Bottom Left'
      classes:
        - col-sm-4
    bottom_middle:
      label: 'Bottom Middle'
      classes:
        - col-sm-4
    bottom_right:
      label: 'Bottom Right'
      classes:
        - col-sm-4
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Three column stacked.
bs_3col_stacked:
  label: 'Three column stacked'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/3col-stacked.png
  template: templates/3.0.0/bs-3col-stacked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    left:
      label: 'Left'
      classes:
        - col-sm-4
    middle:
      label: 'Middle'
      classes:
        - col-sm-4
    right:
      label: 'Right'
      classes:
        - col-sm-4
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Four column.
bs_4col:
  label: 'Four column'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/4col.png
  template: templates/3.0.0/bs-4col
  regions:
    first:
      label: 'First'
      classes:
        - col-sm-3
    second:
      label: 'Second'
      classes:
        - col-sm-3
    third:
      label: 'Third'
      classes:
        - col-sm-3
    fourth:
      label: 'Fourth'
      classes:
        - col-sm-3

# Four column bricks.
bs_4col_bricked:
  label: 'Four column bricks'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/4col-bricked.png
  template: templates/3.0.0/bs-4col-bricked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    top_first:
      label: 'Top First'
      classes:
        - col-sm-3
    top_second:
      label: 'Top Second'
      classes:
        - col-sm-3
    top_third:
      label: 'Top Third'
      classes:
        - col-sm-3
    top_fourth:
      label: 'Top Fourth'
      classes:
        - col-sm-3
    middle:
      label: 'Middle'
      classes:
        - col-sm-12
    bottom_first:
      label: 'Bottom First'
      classes:
        - col-sm-3
    bottom_second:
      label: 'Bottom Second'
      classes:
        - col-sm-3
    bottom_third:
      label: 'Bottom Third'
      classes:
        - col-sm-3
    bottom_fourth:
      label: 'Bottom Fourth'
      classes:
        - col-sm-3
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12

# Four column stacked.
bs_4col_stacked:
  label: 'Four column stacked'
  category: 'Bootstrap'
  class: '\Drupal\bootstrap_layouts\Plugin\Layout\BootstrapLayoutsBase'
  type: partial
  icon: images/4col-stacked.png
  template: templates/3.0.0/bs-4col-stacked
  regions:
    top:
      label: 'Top'
      classes:
        - col-sm-12
    first:
      label: 'First'
      classes:
        - col-sm-3
    second:
      label: 'Second'
      classes:
        - col-sm-3
    third:
      label: 'Third'
      classes:
        - col-sm-3
    fourth:
      label: 'Fourth'
      classes:
        - col-sm-3
    bottom:
      label: 'Bottom'
      classes:
        - col-sm-12
